Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033565
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2016-07-29 10:482016-12-16 18:37
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisionf798171e1a8f
ProjectionnoneETAnoneTarget Version3.0PR17Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033565: ability to disable linked items section

DescriptionLinked items functionality tries to find any record with a FK linked to current one.

This, in some cases, requires many DB queries which, specially with big volumes of data, can be very heavy.

There should be an option to disable it at system or at concrete window level.

Project Link: http://wiki.openbravo.com/wiki/Projects:Deactivable_Linked_Items_Section [^]
Steps To ReproduceIn an environment with few million invoices/orders/whatever made by a concrete partner, open linked items section for that Business Partner. Check it is slow.
TagsPerformance
Attached Filesdiff file icon issue33565.diff [^] (5,865 bytes) 2016-08-10 14:31 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0024314 closedplatform Add the possibility to hide the linked items section per window 
related to defect 0033843 closedNaroaIriarte useless heavy queries in linked items 
related to defect 0035131 closedplatform [RR17Q1][StoreServer][HighVol] Linked Items section never finishes its loading process 

-  Notes
(0090588)
hgbot (developer)
2016-10-14 15:00

Repository: erp/devel/pi
Changeset: f798171e1a8f592862cd888a0f117e00f43723b3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Oct 14 14:55:13 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f798171e1a8f592862cd888a0f117e00f43723b3 [^]

fixes issue 33565: ability to disable linked items section

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddPaymentReadOnlyLogicsHandler.java
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/HeartBeatPopupActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/attachment/CoreAttachImplementation.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/NoteEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorDataSourceFilter.java
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-test/src/org/openbravo/test/datasource/TestAllowUnpagedDatasourcePreference.java
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/base/secureApp/LoginUtils.java
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
M src/org/openbravo/costing/CostingBackground.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportValuationStock.java
M src/org/openbravo/erpCommon/businessUtility/Preferences.java
M src/org/openbravo/erpCommon/businessUtility/PrinterReports.java
M src/org/openbravo/erpCommon/utility/UsedByLink.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/event/OrderEventHandler.java
---
(0090608)
hgbot (developer)
2016-10-17 09:15

Repository: erp/devel/pi
Changeset: 5216f55ce73aa5b5828fef5e74b39a01a0f9dfc3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Oct 17 09:10:17 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5216f55ce73aa5b5828fef5e74b39a01a0f9dfc3 [^]

related to issue 33565: retrieve the window id from the standard window

For child tabs this.view.windowId is undefined. For this reason, we retrieve the windowId using the standardWindow property of the view. Thus, we ensure that the window id is always retrieved properly

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0090975)
alostale (developer)
2016-10-28 09:18

Code reviewed as tested in project scope: https://docs.google.com/spreadsheets/d/1mgedL0xdcn22PYKmmcz_W2Er1PsPdEWhpJmqN2cTF7k/edit#gid=0 [^]
(0092508)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092512)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-07-29 10:48 alostale New Issue
2016-07-29 10:48 alostale Assigned To => platform
2016-07-29 10:48 alostale Modules => Core
2016-07-29 10:48 alostale Triggers an Emergency Pack => No
2016-07-29 10:50 alostale Summary capability to disable linked items section => ability to disable linked items section
2016-07-29 10:50 alostale Status new => acknowledged
2016-07-29 12:08 shuehner Issue Monitored: shuehner
2016-08-10 09:16 caristu Status acknowledged => scheduled
2016-08-10 09:16 caristu Assigned To platform => caristu
2016-08-10 09:17 caristu Target Version 3.0PR16Q4 =>
2016-08-10 09:18 caristu File Added: issue33565.diff
2016-08-10 14:28 caristu File Deleted: issue33565.diff
2016-08-10 14:31 caristu File Added: issue33565.diff
2016-08-29 11:39 caristu Target Version => 3.0PR17Q1
2016-08-29 11:40 caristu Tag Attached: Performance
2016-08-29 15:07 caristu Description Updated View Revisions
2016-08-29 15:08 caristu Description Updated View Revisions
2016-08-29 17:03 alostale Relationship added related to 0033843
2016-09-26 09:45 caristu Relationship added has duplicate 0024314
2016-09-26 09:54 pradeepvarma Issue Monitored: pradeepvarma
2016-10-14 15:00 hgbot Checkin
2016-10-14 15:00 hgbot Note Added: 0090588
2016-10-14 15:00 hgbot Status scheduled => resolved
2016-10-14 15:00 hgbot Resolution open => fixed
2016-10-14 15:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f798171e1a8f592862cd888a0f117e00f43723b3 [^]
2016-10-17 09:15 hgbot Checkin
2016-10-17 09:15 hgbot Note Added: 0090608
2016-10-28 09:18 alostale Review Assigned To => alostale
2016-10-28 09:18 alostale Note Added: 0090975
2016-10-28 09:18 alostale Status resolved => closed
2016-10-28 09:19 alostale Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092508
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092512
2017-02-10 09:15 alostale Relationship added related to 0035131


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker